#ifndef SZEKIN_H_
#define SZEKIN_H_

#include <iostream>
#include <fstream>
#include "kozos.h"
#include "rekord.h"

class SzekIn
{
private:// privát kell legyen, mert a main nem tudhatja pl, hogy mi a státuszunk -> nem állíthatja át
	// a fájl maga
	std::ifstream f;
	// itt tároljuk, hogy a szekvenciális input norm vagy abnorm
	Status sf;
	// az aktuális rekord amin állunk
	Rekord df;
	
public:
	//konstruktor (azonos a neve az osztályal és nem kell neki visszatérési értékként semmit írni)
	// megnyitja a fájlt és egyben rá is lép az első rekordra
	SzekIn(std::string fnev);
	//destruktor (paraméter nélkül!! - ez fut le a blokk végén ahol létrehoztuk az adott változót)
	~SzekIn();
	//rálépünk a következő rekordra
	void next();
	//visszaadja az aktuális rekordot
	Rekord current();	
	
	//visszaadjuk a státuszt
	Status getStatus();
	
};


#endif
