#include "rekord.h"

using namespace std;

string Rekord::getNev()
{
	return nev;
}
int Rekord::getErtek()
{
	int sum = 0;
	for(int a=0;a<adatok.size();++a)
	{
		sum += adatok[a];
	}
	return sum;
}
bool Rekord::operator<(const Rekord& r)
{
	// így hasonlítunk össze stringet
	return nev.compare(r.nev) < 0;

	// ha id-ről van szó
	// return id < r.id;
}

bool Rekord::operator==(const Rekord& r)
{
	return nev == r.nev;
	// ha id-ről van szó
	// return id == r.id;
}
ostream& operator<<(ostream& o, const Rekord &r)
{
	o << r.nev << ' ' << r.adatok.size() << ' ';
	for(int a=0;a<r.adatok.size();++a)
	{
		o << r.adatok[a] << ' ';
	}
	return o;
}

istream& operator>>(istream& o, Rekord &r)
{
	o >> r.nev;
	if(o.fail()) return o;
	int size;
	o >> size;
	r.adatok.resize(size);
	for(int a=0;a<size;++a)
	{
		o >> r.adatok[a];
	}
	return o;
}
