#ifndef REKORD_H_
#define REKORD_H_

#include <iostream>
#include <vector>

class Rekord
{
private:
	std::string nev;// ez azonosítja egyértelműen az adott rekordot
	std::vector<int> adatok;

public:
	// visszaadja a rekord nevét vagy azonosítóját
	std::string getNev();
	int getErtek();

	//kiemeljük a név szerinti összehasnonlításokat, hogy szebb legyen a main kódja
	bool operator<(const Rekord& r);
	bool operator==(const Rekord& r);

	//barát operátorok a kiiratásra és a beolvasásra
	friend std::ostream& operator<<(std::ostream& o, const Rekord &r);
	friend std::istream& operator>>(std::istream& o, Rekord &r);
};

/*
std::ostream& operator<<(std::ostream& o, const Rekord &r);
std::istream& operator>>(std::istream& o, Rekord &r);
*/

#endif
