#include "szekin.h"

using namespace std;
SzekIn::SzekIn(std::string fnev)
{
	f.open(fnev.c_str());
	next();// a norm és abnormra állást a next elintézi
}
SzekIn::~SzekIn()
{
	f.close();
}

void SzekIn::next()
{
	f >> df;//beolvassuk a következő rekordot 
	if(f.fail())
	{
		//tesztelésre: cout << "Sikertelen beolvasás" << endl;
		sf = ABNORM;//megfelelőre állítjuk a státuszt
	}
	else 
	{
		//tesztelésre: cout << df << endl;
		sf = NORM;
	}
}

//Szimplán visszaadjuk a rekordot
Rekord SzekIn::current()
{
	return df;
}
//Szimplán visszaadjuk a státuszt
Status SzekIn::getStatus()
{
	return sf;
}
